Name:           python-xlib
Version:        0.31
Release:        %mkrel 2
Summary:        X client library for Python
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/python-xlib/python-xlib
Source0:        https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
The Python X Library is a complete X11R6 client-side implementation, written in
pure Python. It can be used to write low-levelish X Windows client applications
in Python.

%package -n python3-xlib
Summary:        X client library for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(six) >= 1.10.0
%{?python_provide:%python_provide python3-xlib}

%description -n python3-xlib
The Python X Library is a complete X11R6 client-side implementation, written in
pure Python. It can be used to write low-levelish X Windows client applications
in Python 3.

%package doc
Summary:        Documentation and examples for python-xlib
Group:          Documentation

%description doc
Install this package if you want the developers' documentation and examples
that tell you how to program with python-xlib.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
chmod a-x examples/*.py

%files -n python3-xlib
%license LICENSE
%doc README.rst TODO
%{python3_sitelib}/*

%files doc
%license LICENSE
%doc examples


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.31-2.mga9
+ Revision: 1824688
- Mageia 9 Mass Rebuild

* Thu Feb 10 2022 wally <wally> 0.31-1.mga9
+ Revision: 1772852
- new version 0.31
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 0.29-2.mga9
+ Revision: 1702846
- rebuild for python 3.9

* Sun Feb 28 2021 daviddavid <daviddavid> 0.29-1.mga9
+ Revision: 1693224
- new version: 0.29

* Thu Feb 20 2020 umeabot <umeabot> 0.26-2.mga8
+ Revision: 1547300
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 0.26-1.mga8
+ Revision: 1487840
- new version: 0.26

* Sat Sep 14 2019 daviddavid <daviddavid> 0.25-2.mga8
+ Revision: 1440757
- rebuild for python3.8
- drop python2 support

* Fri Jul 19 2019 daviddavid <daviddavid> 0.25-1.mga8
+ Revision: 1422674
- new version: 0.25

* Tue Jan 08 2019 tv <tv> 0.23-3.mga7
+ Revision: 1351843
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.23-2.mga7
+ Revision: 1290578
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 kekepower <kekepower> 0.23-1.mga7
+ Revision: 1212172
- Update to version 0.23
- Fix file list

* Sat Oct 07 2017 daviddavid <daviddavid> 0.19-1.mga7
+ Revision: 1169815
- add python3 package
- rename python-xlib to python2-xlib
+ tv <tv>
- new release

* Sat Feb 20 2016 umeabot <umeabot> 0.15-12.mga6
+ Revision: 972146
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.15-11.mga6
+ Revision: 896218
- patch 7: fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.15-10.mga5
+ Revision: 740443
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15-9.mga5
+ Revision: 727998
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15-8.mga5
+ Revision: 688431
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.15-6.mga4
+ Revision: 544421
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.15-5.mga4
+ Revision: 499772
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.15-4.mga3
+ Revision: 379705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 0.15-3.mga3
+ Revision: 316405
- add br
- update rpm group

* Tue Sep 27 2011 matteo <matteo> 0.15-2.mga2
+ Revision: 149357
- fixed -doc group
- new patches

* Thu Jul 14 2011 matteo <matteo> 0.15-1.mga2
+ Revision: 124190
- python-xlib.spec: changed Group from Development/Languages to Development/Python
- imported package python-xlib


* Thu Jul 14 2011 Matteo Pasotti <pasotti.matteo@gmail.org> - %%{version}-%%{release}.%%{pre_release}
- imported spec file from fedora package

